package Counter;

/**
* Illustrates State Tracking.
*/
public class BoundedCounterVST extends BoundedCounterV0 {
	
	public synchronized void inc() {
		while (count_ == MAX)
			try { wait(); }
			catch(InterruptedException ex) {};
		if (count_++ == MIN) // just left bottom state
			notifyAll();
	}
	
	public synchronized void dec() {
		while (count_ == MIN)
			try { wait(); }
			catch(InterruptedException ex) {};
		if (count_-- == MAX) // just left bottom state
			notifyAll();
	}

}