/*
  File: NumberPanel.java
*/

package support;

import java.awt.*;

public class NumberPanel extends Panel
{
    
    Label value_;
    
    Label title_;

    Font f1_ = new Font("Helvetica",Font.BOLD,36);

    Font f2_ = new Font("Times",Font.ITALIC+Font.BOLD,24);

    public NumberPanel( String title ) 
    {
        this( new BorderLayout(), title, Color.orange );
    }

    public NumberPanel( String title, Color bgc ) 
    {
	this( new BorderLayout(), title, bgc );
    }

    public NumberPanel( LayoutManager layout, String title ) 
    {
        this( layout, title, Color.orange );
    }

    public NumberPanel( LayoutManager layout, String title, Color bgc ) 
    {
        super( layout );
        setBackground( bgc );
	value_ = new Label( "0", Label.CENTER );
	value_.setFont( f1_ );
	title_ = new Label( title, Label.CENTER );
	title_.setFont( f2_ );
	add( title_, "North" );
	add( value_, "South" );
    }
    
    public void setValue( int value )
    {
	value_.setText( String.valueOf( value ) );
    }

    public int getValue()
    {
	return (new Integer( value_.getText() ) ).intValue();
    }

    public void setTitle( String title )
    {
	title_.setText( title );
    }

}
