

package bridgeSol;

/** This bridge should be safe... 
 */
public class SafeBridge extends DefaultBridge
{
		protected int redCars_ = 0;
		protected int blueCars_ = 0;

	/** a red car wants to enter the bridge
	 */
	public synchronized void redEnter() throws InterruptedException {
		while ( blueCars_ > 0 )
				wait();
		redCars_ ++;
	};
	
	/** a red car exits from the bridge
	 */
	public synchronized void redExit() {
	redCars_ --;
	notifyAll();
	}; 

	/** a blue car wants to enter the bridge
	 */
	public synchronized void blueEnter() throws InterruptedException {
		while ( redCars_ > 0 )
				wait();
		blueCars_ ++;
	};
	
	/** a blue car exits from the bridge
	 */
	public synchronized void blueExit() {
	blueCars_ --;
	notifyAll();
	}; 
}
