/*
  File: Consumer.java
*/

package buffer;

import support.*;

public class Consumer implements TriggerInterface
{

	Buffer buffer_;

	RotatingPanel rotator_;

	public Consumer( Buffer buffer, RotatingPanel rotator )
	{
		buffer_ = buffer;
		rotator_ = rotator;
		rotator_.setTrigger( this );
	}

	public void start()
	{
		rotator_.start();
	}

	public void stop()
	{
		rotator_.stop();
	}

	public void performAction() throws InterruptedException
	{
		Object o = buffer_.get();
	}

}
