package golf;

/** A Player Class.  
 */
class Player extends Thread {

	final GolfClub golfclub_;
	final String name_;
	final int nballs_;

	Player( GolfClub g, int n, String s ) 
	{
		golfclub_ = g;
		name_ = s;
		nballs_ = n;
	}

	public void run() {
		try {
			boolean playing = golfclub_.getGolfBalls( nballs_, name_ );
			if (!playing) return; 
			Thread.sleep( golfclub_.getPlayTime() );
			golfclub_.relGolfBalls( nballs_, name_ );
		} catch (InterruptedException e) {}
	}

}
